package com.ruoyi.system.service;

import java.util.List;

import com.ruoyi.system.domain.GoodsCategory;
import com.ruoyi.system.domain.GoodsSku;
import com.ruoyi.system.domain.Shop;

/**
 * 店铺Service接口
 * 
 * @author ruoyi
 * @date 2022-04-28
 */
public interface IShopService 
{
    /**
     * 查询店铺
     * 
     * @param id 店铺主键
     * @return 店铺
     */
    public Shop selectShopById(String id);

    /**
     * 查询店铺列表
     * 
     * @param shop 店铺
     * @return 店铺集合
     */
    public List<Shop> selectShopList(Shop shop);

    /**
     * 新增店铺
     * 
     * @param shop 店铺
     * @return 结果
     */
    public long insertShop(Shop shop);

    /**
     * 修改店铺
     * 
     * @param shop 店铺
     * @return 结果
     */
    public int updateShop(Shop shop);

    /**
     * 批量删除店铺
     * 
     * @param ids 需要删除的店铺主键集合
     * @return 结果
     */
    public int deleteShopByIds(String[] ids);

    /**
     * 删除店铺信息
     * 
     * @param id 店铺主键
     * @return 结果
     */
    public int deleteShopById(String id);

    String addGoods(long shopId, String goodsIds);

    List<GoodsCategory>  getCategoryGoods(long shopId);

    List<GoodsSku> getSkuByGoodsId(long shopId, long goodsId);

    String turn(Long shopId, Long fristGoodsId, Long lastGoodsId);

    List<String> getShopCity();


}
